use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::ICommentBlock;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "comment_block")]
pub(crate) struct RenderCommentBlock {}

impl RenderCommentBlock {
    pub(crate) fn new(
        config: &Config,
        output_directory: &Path,
        output_file: &Path,
        original: &ICommentBlock,
    ) -> Result<RenderCommentBlock, CustomError> {
        Ok(RenderCommentBlock {})
    }
}
