use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IRegularLink;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "regular_link")]
pub(crate) struct RenderRegularLink {}

impl RenderRegularLink {
    pub(crate) fn new(
        config: &Config,
        output_directory: &Path,
        output_file: &Path,
        comment: &IRegularLink,
    ) -> Result<RenderRegularLink, CustomError> {
        Ok(RenderRegularLink {})
    }
}
