use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IPlainList;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "plain_list")]
pub(crate) struct RenderPlainList {}

impl RenderPlainList {
    pub(crate) fn new(
        config: &Config,
        output_directory: &Path,
        output_file: &Path,
        original: &IPlainList,
    ) -> Result<RenderPlainList, CustomError> {
        Ok(RenderPlainList {})
    }
}
