use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IQuoteBlock;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "quote_block")]
pub(crate) struct RenderQuoteBlock {}

impl RenderQuoteBlock {
    pub(crate) fn new(
        config: &Config,
        output_directory: &Path,
        output_file: &Path,
        original: &IQuoteBlock,
    ) -> Result<RenderQuoteBlock, CustomError> {
        Ok(RenderQuoteBlock {})
    }
}
