use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug)]
pub(crate) struct IUnderline {}

impl IUnderline {
    pub(crate) async fn new<'parse>(
        registry: &mut Registry<'parse>,
        original: &organic::types::Underline<'parse>,
    ) -> Result<IUnderline, CustomError> {
        Ok(IUnderline {})
    }
}
